package com.writeoff.module.notification.model;

public class NotificationTextTemplateInfo {
    private Long id;
    private String templateName;
    private String subjectTemplate;
    private String titleTemplate;
    private String contentTemplate;
    private String status;

    public NotificationTextTemplateInfo(Long id, String templateName, String subjectTemplate, String titleTemplate, String contentTemplate, String status) {
        this.id = id;
        this.templateName = templateName;
        this.subjectTemplate = subjectTemplate;
        this.titleTemplate = titleTemplate;
        this.contentTemplate = contentTemplate;
        this.status = status;
    }

    public Long getId() {
        return id;
    }

    public String getTemplateName() {
        return templateName;
    }

    public String getSubjectTemplate() {
        return subjectTemplate;
    }

    public String getTitleTemplate() {
        return titleTemplate;
    }

    public String getContentTemplate() {
        return contentTemplate;
    }

    public String getStatus() {
        return status;
    }
}
